<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function composition

The composition counts of n into k parts.

composition only takes integer arguments.
The following condition must be enforced: k <= n.


## Syntax

```js
math.composition(n, k)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`n` | Number &#124; BigNumber | Total number of objects in the set
`k` | Number &#124; BigNumber | Number of objects in the subset

### Returns

Type | Description
---- | -----------
Number &#124; BigNumber | Returns the composition counts of n into k parts.


### Throws

Type | Description
---- | -----------


## Examples

```js
math.composition(5, 3) // returns 6
```


## See also

[combinations](combinations.md)
